# Get enrollment config This endpoint fetches the enrollment config for the company. Endpoint: GET /v2/companies/{companyId}/enrollment-config Version: v2 Security: Bearer ## Path parameters: - `companyId` (string, required) Identifier for company. Example: "4974a66b-7493-4f41-908c-58ba81093947" ## Response 200 fields (application/json): - `termsAndConditionsList` (array) List of terms and conditions. Each item is rich text that renders a bullet point with text and link. Example: ["I agree to the Terms of Service","I agree to the Privacy Policy"] - `templateSettings` (object) Template settings for enrollment emails. - `templateSettings.applicationReceivedTemplate` (string) Template ID for application received emails. - `templateSettings.applicationRejectedTemplate` (string) Template ID for application rejected emails. - `templateSettings.applicationApprovedTemplate` (string) Template ID for application approved emails. - `industryDropdownOptions` (array) Dropdown options for company industry selection. - `skipOfacComplianceCheck` (boolean) Skip OFAC compliance check during enrollment. - `registrarLoginActions` (array) Login action types assigned to users created via enrollment. Enum: "PRIVACY_CONSENT_ACTION", "ONBOARDING_ACTION", "HYATT_LOYALTY_VALIDATION" - `companySpecifiedAttributeConfigs` (array) Configuration for company-specified attributes on the enrollment form. - `companySpecifiedAttributeConfigs.name` (string, required) The attribute name. - `companySpecifiedAttributeConfigs.isHidden` (boolean) Whether this attribute should be hidden from the enrollment form UI. - `termsAndConditions` (string, required) Deprecated: Use termsAndConditionsList instead. Link to terms and conditions. Example: "https://www.spotnana.com/terms/" ## Response 401 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 403 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 404 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error.